import axios from 'axios'

const httpRequest = axios.create({
  // note: this really seems to be just a base url, "/search/" is appended at runtime
  // baseURL: 'https://oea-test.univie.ac.at',
  baseURL: process.env.FRONTEND_SERVER_BASE_URL,
  withCredentials: false,
  headers: {
    'Access-Control-Allow-Origin': '*',
    'Access-Control-Allow-Methods': 'GET,PUT,POST,DELETE,PATCH,OPTIONS',
  },
})

export default httpRequest
