#!/usr/bin/env perl

use strict;
use warnings;

use Data::Dumper;

use FindBin;
use lib "$FindBin::Bin/../lib";
use Test::More;

use utf8;

my $tree;

BEGIN {
  $tree = {
  # 'module' => <0:skip|1:test>,
    'App' => 1,
    'App::Logger' => 1,
    'App::Type::Openlib' => 1,
    'App::Type::Phaidra' => 1,
    'App::Type::OAIIngest_DC' => 1,
    'App::Type::OAIIngest_LOM_invenio' => 1,
    'App::Type::OAIIngest_LOM_edusharing' => 1,
    'App::Type::dummy' => 1,
  };
  MODULE:
  for my $module ( keys %$tree ) {
    next MODULE unless $tree->{ $module };
    use_ok( $module );
  }
}

done_testing();

exit(0);

