#!/bin/bash

Indices="oer-portal.uni-graz.at oer-repo.uibk.ac.at oer.fh-salzburg.ac.at phaidra.univie.ac.at repository.tugraz.at gecko.aau.at door.donau-uni.ac.at phaidra.fh-kaernten.at vocabs.iso639 vocabs.kim.hcrt vocabs.oefos2012 vocabs.spdx"
Bulks="vocabs.iso639 vocabs.kim.hcrt vocabs.oefos2012 vocabs.spdx"

for Index in $Indices ; do
  curl -XPUT -H "Content-Type: application/json" http://index:9200/$Index --data-binary "@Create-index_PUT_$Index.json"
done

for Bulk in $Bulks ; do
  curl -XPOST -H "Content-Type: application/json" http://index:9200/_bulk --data-binary "@Bulk-index_POST_$Bulk.json"
done
  
curl -XPOST -H "Content-Type: application/json" http://index:9200/_aliases --data-binary "@Create-aliases_POST_repos.json"

